#!/bin/bash

if [ "$REQUEST_METHOD" = "POST" ]; then
	read QUERY_STRING
	REQUEST_METHOD=GET
	export REQUEST_METHOD
	export QUERY_STRING
fi

LOGDIR="/usr/local/root/flash/http/log"

tmp=${QUERY_STRING%"$"*}
cmd=${tmp%"="*}
if [ "$cmd" = "dir" ]; then
	PATHCURRENT=$LOGDIR/${tmp#*"="}
else
	PATHCURRENT=$LOGDIR
fi

tmp=${QUERY_STRING#*"$"}
cmd=${tmp%"="*}
if [ "$cmd" = "file" ]; then
	FILECURRENT=${tmp#*"="}
else
	if [ -f $PATHCURRENT/lastlog.csv.gz ]; then
		FILECURRENT=lastlog.csv.gz
	else
		FILECURRENT=lastlog.csv
	fi
fi

if [ ! -f $PATHCURRENT/$FILECURRENT ]; then
	echo -ne "Content-type: text/html\r\nCache-Control: no-cache\r\nExpires: -1\r\n\r\n"
	cat carel.inc.html
	echo "<center>File not available!</center>"
	cat carel.bottom.html
	exit
fi

if [ -z $(echo $FILECURRENT | grep -i gz ) ]; then
	if [ -z $(echo $FILECURRENT | grep -i bmp ) ]; then
		if [ -z $(echo $FILECURRENT | grep -i svg ) ]; then
			echo -ne "Content-Type: text/csv\r\n"
		else
			echo -ne "Content-Type: image/svg+xml\r\n"
		fi
	else
		echo -ne "Content-Type: image/bmp\r\n"
	fi
else
	echo -ne "Content-Type: application/x-gzip\r\n"
fi
echo -ne "Content-Disposition: attachment; filename=$FILECURRENT\r\n\r\n"

cat $PATHCURRENT/$FILECURRENT

